commit:     b60d5dcd31e2550df65a9a25ee5ce9fd5786c5da
Author:     Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Sun Sep 11 14:13:05 2016 +0000
Commit:     Sven Wegener <swegener <AT> gentoo <DOT> org>
CommitDate: Sun Sep 18 15:22:53 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b60d5dcd

net-nntp/nzbget: bump to 17.1

Package-Manager: portage-2.3.0
Closes: https://github.com/gentoo/gentoo/pull/2306

 net-nntp/nzbget/Manifest           |   1 +
 net-nntp/nzbget/nzbget-17.1.ebuild | 111 +++++++++++++++++++++++++++++++++++++
 2 files changed, 112 insertions(+)

diff --git a/net-nntp/nzbget/Manifest b/net-nntp/nzbget/Manifest
index 63002cd..9af544f 100644
--- a/net-nntp/nzbget/Manifest
+++ b/net-nntp/nzbget/Manifest
@@ -2,3 +2,4 @@ DIST nzbget-14.1.tar.gz 1332334 SHA256 
a16b816b61f7035cc373e9b77094ca474d5b7b7f7
 DIST nzbget-16.4-src.tar.gz 1585908 SHA256 
8e9e3ee75d2d08a8e438b2809f504a627a9334ed239579a540b75fa97bff4d0f SHA512 
12ebde277abac5f719f374861013fa391f4698d850ac57c55787609fec54490fb09437c6a803fc0ca935c482ed5ccd16c525e17ba40a514f7a54316dc04ee874
 WHIRLPOOL 
2d1c21d45a74eaea7dcb1c99c9b409f506547189c832b432331ae2b64ee67050245acb8ff1cd522bd64460d9d7ac806b344fd0f3bbc21de4bfca12dcc815692d
 DIST nzbget-17.0.tar.gz 1608851 SHA256 
795c830344dcc8751a2234a8344190b3f3e48e1ce92dcff02ee0af95a5fa46ae SHA512 
18a3839447baec8137b9763f93031086fa740b3fe6e5a3342a28d51eee128b808b117737cfa15e39ee3586d2c6fc5a736563580cb4abe23b0ad29b55790c132c
 WHIRLPOOL 
fe65628fd517bd2ec99bb37b3d08e014e06ac03370f4e65e0ce771a34031f7a99d561b0180b5e3cafe0c07974e59636339722684c476794283688c20b2afc809
 DIST nzbget-17.0_pre1726.tar.gz 1606506 SHA256 
ef3b2414af5a41534a9b1a5f80bce201e2b3501dbc554e7661f883cf04f2682f SHA512 
434c6a43973e44393bdb786872d601d1039c4d6177d2613f474b72f092c05c360ce1cf9d6558d265b202e8074a451ab7151a92a3ac0a03820dd5a1b4eef30923
 WHIRLPOOL 
8a4c575c3ec14c451b6cad8712a07f3eb1a542c2151947432ac8c9f03363160021e49215be3591de2f0b0bc950dd76d8eac4147b4498c81047a3a91d53b65c64
+DIST nzbget-17.1.tar.gz 1609931 SHA256 
4b3cf500d9bb6e9ab65b2c8451358e6c93af0368176f193eebafca17d7209c39 SHA512 
5fde874b68423bb6d4cf63fc68aee0087b4d801a73a05124c1b3d0e883877cd585400001191e58386e115b2664906f16e67f5f7d5a0ece93bf51f55ec1e7309b
 WHIRLPOOL 
bcae41e87e8cb6ce429dd065fe7904cc04b36da4435de43c3424afd1a37f3e5da55769d2684df368687fb8ee6d6f72ff80452c54a07ffa09fbe9918c7d40c167

diff --git a/net-nntp/nzbget/nzbget-17.1.ebuild 
b/net-nntp/nzbget/nzbget-17.1.ebuild
new file mode 100644
index 00000000..56bef01
--- /dev/null
+++ b/net-nntp/nzbget/nzbget-17.1.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools eutils flag-o-matic user
+
+MY_PV=${PV/_pre/-r}
+MY_P=${PN}-${PV/_pre/-testing-r}
+
+DESCRIPTION="A command-line based binary newsgrabber supporting .nzb files"
+HOMEPAGE="http://nzbget.net/";
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${MY_PV}/${MY_P}-src.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="debug gnutls ncurses parcheck ssl test zlib"
+
+RDEPEND="dev-libs/libxml2
+       ncurses? ( sys-libs/ncurses:0 )
+       ssl? (
+               gnutls? ( net-libs/gnutls )
+               !gnutls? ( dev-libs/openssl:0= )
+       )
+       zlib? ( sys-libs/zlib )"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+DOCS=( ChangeLog README nzbget.conf )
+
+S=${WORKDIR}/${PN}-${PV/_pre*/-testing}
+
+pkg_pretend() {
+       if [[ ${MERGE_TYPE} != binary ]] && ! test-flag-CXX -std=c++14; then
+               eerror "${P} requires a C++14-capable compiler. Your current 
compiler"
+               eerror "does not seem to support the -std=c++14 option. Please"
+               eerror "upgrade to gcc-4.9 or an equivalent version supporting 
C++14."
+               die "The currently active compiler does not support -std=c++14"
+       fi
+}
+
+src_prepare() {
+       default
+       eautoreconf
+
+       sed -i 's:^ScriptDir=.*:ScriptDir=/usr/share/nzbget/ppscripts:' 
nzbget.conf || die
+
+       sed \
+               -e 's:^MainDir=.*:MainDir=/var/lib/nzbget:' \
+               -e 's:^LockFile=.*:LockFile=/run/nzbget/nzbget.pid:' \
+               -e 's:^LogFile=.*:LogFile=/var/log/nzbget/nzbget.log:' \
+               -e 's:^WebDir=.*:WebDir=/usr/share/nzbget/webui:' \
+               -e 
's:^ConfigTemplate=.*:ConfigTemplate=/usr/share/nzbget/nzbget.conf:' \
+               -e 's:^DaemonUsername=.*:DaemonUsername=nzbget:' \
+               nzbget.conf > nzbgetd.conf || die
+}
+
+src_configure() {
+       econf \
+               $(use_enable debug) \
+               $(use_enable ncurses curses) \
+               $(use_enable parcheck) \
+               $(use_enable ssl tls) \
+               $(use_enable zlib gzip) \
+               $(use_enable test tests) \
+               --with-tlslib=$(usex gnutls GnuTLS OpenSSL)
+}
+
+src_test() {
+       ./nzbget --tests || die "Tests failed"
+}
+
+src_install() {
+       default
+
+       insinto /etc
+       doins nzbget.conf
+       doins nzbgetd.conf
+
+       keepdir /var/lib/nzbget/{dst,nzb,queue,tmp}
+       keepdir /var/log/nzbget
+
+       newinitd "${FILESDIR}"/nzbget.initd nzbget
+       newconfd "${FILESDIR}"/nzbget.confd nzbget
+}
+
+pkg_preinst() {
+       enewgroup nzbget
+       enewuser nzbget -1 -1 /var/lib/nzbget nzbget
+
+       fowners nzbget:nzbget /var/lib/nzbget/{dst,nzb,queue,tmp}
+       fperms 750 /var/lib/nzbget/{queue,tmp}
+       fperms 770 /var/lib/nzbget/{dst,nzb}
+
+       fowners nzbget:nzbget /var/log/nzbget
+       fperms 750 /var/log/nzbget
+
+       fowners nzbget:nzbget /etc/nzbgetd.conf
+       fperms 640 /etc/nzbgetd.conf
+}
+
+pkg_postinst() {
+       if [[ -z ${REPLACING_VERSIONS} ]] ; then
+               elog
+               elog "Please add users that you want to be able to use the 
system-wide"
+               elog "nzbget daemon to the nzbget group. To access the daemon 
run nzbget"
+               elog "with the --configfile /etc/nzbgetd.conf option."
+               elog
+       fi
+}

Reply via email to